loci.formats.in

## Enum BaseZeissReader.TextAlignment

- java.lang.Object
- - java.lang.Enum<BaseZeissReader.TextAlignment>
  - - loci.formats.in.BaseZeissReader.TextAlignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BaseZeissReader.TextAlignment>
  Enclosing class:
    BaseZeissReader

      static enum BaseZeissReader.TextAlignment
      extends java.lang.Enum<BaseZeissReader.TextAlignment>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER`
    `LEFT`
    `NONE`
    `RIGHT`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.util.Map<java.lang.Integer,BaseZeissReader.TextAlignment>` | `lookup`
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BaseZeissReader.TextAlignment` | `get(int value)`
    `int` | `getValue()`
    `static BaseZeissReader.TextAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BaseZeissReader.TextAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final BaseZeissReader.TextAlignment LEFT

    - #### CENTER

          public static final BaseZeissReader.TextAlignment CENTER

    - #### RIGHT

          public static final BaseZeissReader.TextAlignment RIGHT

    - #### NONE

          public static final BaseZeissReader.TextAlignment NONE

  - ### Field Detail

    - #### lookup

          private static final java.util.Map<java.lang.Integer,BaseZeissReader.TextAlignment> lookup

    - #### value

          private int value

  - ### Method Detail

    - #### values

          public static BaseZeissReader.TextAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BaseZeissReader.TextAlignment c : BaseZeissReader.TextAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BaseZeissReader.TextAlignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### get

          public static BaseZeissReader.TextAlignment get(int value)

Copyright © 2026 Open Microscopy Environment